
 
.material-icons-outlined {
    font-family: 'Material Icons Outlined';
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    -webkit-font-feature-settings: 'liga';
    -webkit-font-smoothing: antialiased;
}
.material-icons {
    font-family: 'Material Icons';
    font-weight: normal;
    font-style: normal;
    font-size: 12px;  /* Preferred icon size */
    display: inline-block;
    line-height: 1;
    text-transform: none;
    letter-spacing: normal;
    word-wrap: normal;
    white-space: nowrap;
    direction: ltr;
  
    /* Support for all WebKit browsers. */
    -webkit-font-smoothing: antialiased;
    /* Support for Safari and Chrome. */
    text-rendering: optimizeLegibility;
  
    /* Support for Firefox. */
    -moz-osx-font-smoothing: grayscale;
  
    /* Support for IE. */
    font-feature-settings: 'liga';
  }

:root {
    --side-nav-width: 200px;
    --section-border: #555;
    --radio-outline:#ffffff00;
    --focus-outline: #ffffff22;
    --background-disabled: #323c48;
    --background-color-dim: #333333;
    --background-color-splash: #2d2d2d;
    --background-color-radio-checked: #0fb8dc;
    --background-no-image: #222222;
    --background-color-avtar: #555555;
    --background-color-pane: #3c3c3c;
    --background-color-red: #bc192a;
    --background-color-footer: #0d1b2b;
    --background-color-pane-border: #525252;
    --background-color-avtar-status: #59dc90;
    --background-color-avtar-status-offline: #bebebe;
    --background-color-avtar-status-away: #ffe352;
    --background-color-avtar-status-dnd: #ea475b;
    --background-color-tab-active: #43648f;
    --background-color-tile: #03A9F4;
    --background-color-menu-item: #a05e5e03;
    --background-color-side-menu: #02a3c3;
    --background-color-view-loading: #000000cc;
    --border-color-grey: #999999;
    --border-color-field: #4a4a4a;
    --border-color-maroon: #6f1a1a;
    --border-color-icon-selected: #02c0e3;
    --border-color-menu: #ffffff0a;
    --color-text-menu: #dddddd;
    --color-text-disabled: #767d85;
    --color-text-black-primary: #000000;
    --color-text-white-primary: #e8e8e8;
    --color-text-orange: orange;
    --color-text-side-navigation: #f9f9f9;
    --color-box-shadow: #00000080;
    --side-nav-border: #777;
    --color-drop-shadow: #00000069;
}

.wrapper {
    overflow: auto;
    position: absolute;
    left: 20px;
    bottom: 20px;
    top: 20px;
    right: 20px;
}
.module-title {
    font-size: 12px;
}
.icon-wrapper {
    position: absolute;
    top: 20px;
}
.content-wrapper {
    position: absolute;
    left: 0px;
    bottom: 0px;
    top: 0px;
    right: 0px;
}
.app-tile {
    position: relative;
    display: inline-block;
    width: 240px;
    height: 160px;
    border-radius: 0;
    margin: 0px 20px 20px 0px;
    border: 1px solid #323d4a;
    cursor: pointer;
    background-color: var(--color-page-background--solid);
    color: var(--color-text-primary);
}
.app-tile-icon {
    color: var(--color-action-primary--dim);
}
.subnav {
    margin-top: 10px;
    margin-bottom: 20px;
    font-size: 12px;
}

input[type="radio" i]:focus {
    outline: 1px solid var(--radio-outline);
    outline-offset: -1px;
    box-shadow: 0px 0px 10px var(--color-action-primary) !important;
}

.btn--sm {
    font-size: 10px;
}

:focus-visible {
    outline: none !important;
}

a:focus {
    color: var(--color-text-primary) !important;
    outline: 1px solid var(--focus-outline);
    outline-offset: -1px;
    box-shadow: inset 0 0 200px var(--color-action-primary--dim) !important;
}
button:focus {
    color: var(--color-text-primary--highlight) !important;
    outline: 1px solid var(--focus-outline);
    outline-offset: -1px;
    box-shadow: inset 0 0 200px var(--color-action-primary--bright) !important;
}

.dr-zp-btn--link:focus {
    outline: none !important;
    outline-offset: -1px;
    box-shadow: none !important;
    color: var(--color-action-secondary--bright) !important;
}

.btn--hollow {
    color: var(--color-text-primary) !important;
    border: 1px solid var(--color-text-primary);
}

.btn--hollow:hover {
    color: var(--color-text-white) !important;
    outline: 1px solid var(--focus-outline);
    outline-offset: -1px;
    box-shadow: inset 0 0 200px var(--color-action-primary--bright) !important;
}

button:disabled {
    background-color: var(--background-disabled);
    border: 0px;
    color: var(--color-text-disabled);
    cursor: not-allowed;
}

.avatar:focus {
    outline: none !important;
    outline-offset: -1px;
    box-shadow: none !important;
    color: var(--color-action-primary--bright) !important;
}

.link:focus {
    outline: none !important;
    outline-offset: -1px;
    color: var(--color-action-primary--bright) !important;
    box-shadow: none !important;
}

.grid-icon {
    color: var(--color-text-primary) !important;
}
.grid-icon:hover {
    color: var(--color-action-primary--bright) !important;
}

.sub-menu-navigation-item:focus {
    outline: 1px solid var(--focus-outline);
    outline-offset: -1px;
    box-shadow: inset 0 0 200px var(--color-action-primary--bright) !important;
}

.notification--banner {
    margin:0px !important;
    box-shadow: -5px 5px 10px var(--color-drop-shadow);
}

.tabs {
    background-color: transparent !important;
}

/* table tweaks*/

.data-table table {
    background-color: transparent !important;
}

.data-table th, .data-table table td {
    padding: 16px;
    text-align: left;
    border: 1px solid var(--color-border) !important;
}

/* modal tweaks */

.dr-zp-modal {
    z-index: 9000 !important;
}

.modal--open {
    opacity: .98;
    background-color: var(--background-overlay);
}

.modal--open--transparent {
    opacity: .98;
    background: none !important;
    backdrop-filter: none;
}

.dr-zp-modal__footer{display:flex;justify-content:flex-end;}
.dr-zp-modal__footer > dr-zp-button:first-child {padding-right: 8px;}

.modal__content {
    border: 1px solid var(--color-border);
    box-shadow: 0px 0px 40px var(--color-drop-shadow) !important;
}

.modal__header__close-icon {
    border: none;
    background: none;
    color: var(--color-text-white-primary);
}

/* temporaray fix for Avatars */

.fe-avatar {
    display: inline-flex;
    margin: 0px 0px 0px 12px;
    border: none;
    background: none;
    color: var(--color-text-white);
}

.fe-avatar__circle, .fe-avatar__img {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    vertical-align: middle;
}

.fe-avatar__circle {
    position: relative;
}

.fe-avatar__circle--no-image {
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--background-no-image);
    font-size: 24px;
    font-weight: 600;
    color: rgba(var(--color-uniform-border-white), 0.9);
}

.fe-avatar__circle--no-image .fe-avatar__img {
    display: none;
}

.fe-avatar__circle--no-image .fe-avatar__initials {
    display: block;
    text-transform: uppercase;
}

.fe-avatar__status {
    height: 8px;
    width: 8px;
    border-radius: 50%;
    position: absolute;
    right: 4px;
    bottom: 0;
    background-color: var(--background-color-avtar-status);
    border: 1px solid 0px 0px 20px var(--color-drop-shadow);
}

.fe-avatar--offline .fe-avatar__img {
    filter: grayscale(100%);
}

.fe-avatar--offline .fe-avatar__status {
    background-color: var(--background-color-avtar-status-offline);
}

.fe-avatar--away .fe-avatar__status {
    background-color: var(--background-color-avtar-status-away); 
}

.fe-avatar--dnd .fe-avatar__status {
    background-color: var(--background-color-avtar-status-dnd);
}

.fe-avatar--small .fe-avatar__circle, .fe-avatar--small .fe-avatar__img {
    width: 20px;
    height: 20px;
    padding: 2px;
    background-color: var(--background-color-avtar); 
    top: 0px;
}

.fe-avatar__initials {    
    font-size: 10px;
    font-weight: bold;
    position: relative;
    top: 0px;
}

.fe-avatar--small .fe-avatar__status {
    right: -2px;
}

.fe-avatar--small .fe-avatar__circle--no-image {
    font-size: 10px;
}

.fe-avatar__label {
    display: flex;
    flex-direction: column;
    font-weight: bold;
}

.fe-avatar__label--horizontal {
    flex-direction: row;
    align-items: center;
}

.fe-avatar__label--horizontal .fe-avatar__label {
    margin-left: 8px;
}

.fe-avatar__label--vertical {
    flex-direction: column;
    align-items: center;
}

.fe-avatar__label--vertical .fe-avatar__label {
    margin-top: 8px;
    align-items: center;
}

.fe-avatar__label-name {
    font-size: 12px;
    color: rgba(var(--color-uniform-background-white), 0.9);
}

.fe-avatar__label-description {
    font-size: 9px;
    color: rgba(var(--color-uniform-background-white), 0.4);
}

.app {
    position: absolute;
    left: 0;
    bottom: 0px;
    top: 0px;
    right: 0;
    padding: 0px;
    overflow: hidden;
    background-color: var(--color-background-primary);
    color: var(--color-text-primary); 
    font-size: 12px;
}
.modal-wrapper {
    position: absolute;
    left: 0;
    bottom: 0px;
    top: 0px;
    right: 0;
    pointer-events: none;
    z-index: 5000;
}
.modal-wrapper-open {
    pointer-events: all;
}
.hidden {
    display: none !important;
}
.view-no-nav {
    position: absolute;
    left: 0;
    bottom: 0px;
    top: 0px;
    right: 0;
    padding: 0px;
    overflow: hidden;
}
.view {
    position: absolute;
    left: 0;
    bottom: 0;
    top: 0;
    right: 0;
    padding: 0px;
    overflow: hidden;
    background-color: var(--background-page);
}
.view-entering {
    position: absolute;
    left: 0;
    bottom: 0;
    top: 50px;
    right: 0;
    padding: 0px;
    overflow: hidden;
    transition: .5s
}
.pane-hide {
    position: absolute;
    top: 52px;
    right: -230px;
    width: 206px;
    bottom: 0;
    transition: .5s;
    font-size: 12px;
    background-color: var(--background-color-pane);
    z-index: 1500;
    border-left: 2px groove var(--background-color-pane-border);
    box-shadow: -10px 0px 20px  var(--color-drop-shadow); 
}
.pane-show {
    overflow: auto;
    position: absolute;
    top: 52px;
    right: 0;
    width: 200px;
    bottom: 0;
    transition: .5s;
    font-size: 12px;
    background-color: var(--background-color-pane);
    z-index: 1500;
    border-left: 2px groove var(--background-color-pane-border);
    box-shadow: -10px 0px 20px var(--color-drop-shadow);        
}
.side-nav {
    display: none;
    z-index: 1000;
    position: absolute;
    top: 52px;
    left: 0;
    bottom: 53px;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.75);
    flex-direction: column;
    background-color: var(--color-background-interactive--dim);
    color: var(--color-text-primary);
    width: var(--side-nav-width);
    border-right: 1px solid #777;
}
.side-nav-inner {
    overflow: auto; 
    height: 100%;
}
.sub-splash-title {
    font-size: 24px;
    color: var(--color-uniform-border-white);
    z-index: 1000;
    height: 60px;
    position: absolute;
    top: calc(50% - 140px);
    left: 50%;
    transform: translate(-50%, -50%);
}
.login-table {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 250px;
    transform: translate(-50%, -50%);
}
.login-table th {
    text-align: center;
    font-size: 12px;
}
.login-table td {
    text-align: center;
    padding-top: 10px;
}
.login-field:focus {
    outline: var(--background-color-radio-checked) auto 5px;
}
.login-field {
    color: var(--background-no-image);
    border: 2px solid var(--border-color-field);
    padding: 5px;
}
.app-icon-svg {
    color: var(--color-uniform-border-white);
    background-color: var(--background-color-red);
    display: table-caption;
    width: 30px;
    border: 5px solid var(--border-color-maroon);
    border-radius: 100%;
    padding: 6px;
}
.app-icon-png {
    width: 48px;
    border: px solid var(--border-color-field); 
    border-radius: 100%;
}
.module-icon-svg {
    color: var(--color-uniform-border-white);
    background-color: var(--background-color-red);
    display: table-caption;
    width: 50px;
    border: 5px solid var(--border-color-maroon);
    border-radius: 100%;
    padding: 6px;
}
.module-icon-png {
    width: 68px;
}
.header-icon-selected {
    color: var(--color-active--primary);
}
.footer {
    position: absolute;
    padding: 20px;
    left: 0px;
    bottom: 0px;
    right: 0;
    background-color: var(--background-color-footer);
    z-index: 2000;
    right: 0px;
    background-color: var(--background-surface);
    z-index: 2000;
    justify-content: left;
}
.footer-inner {
    top: 6px;
    left: 10px;
    font-size: 11px;
    position: relative;
}
.header  {
    z-index: 6000;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 50px;
    box-shadow: 0px 0px 20px rgb(0 0 0 / 75%);
    font-family: "Open Sans";
}
table {
    color: var(--color-text-primary) !important; 
}
.tab-selected {
    background-color: var(--background-color-tab-active) !important;
}
.header-inner {                    
    height: 48px;
    background-color: var(--background-surface);
    color: var(--color-text-primary);
    position: absolute;
    left: 0px;
    top: 0px;
    right: 0;
    z-index: 1;
}
.header-ribbon {
    position: absolute;
    left: 0px;
    top: 48px;
    right: 0px;
    height: 2px;
    background-color: rgb(255 109 0 / 50%);
    z-index: 0;
}
.apps-ribbon-show {
    background-color: var(--color-background-primary--dim);
    box-shadow: 0px 0px 20px var(--color-drop-shadow);
    position: absolute;
    top: 48px;
    right: 0px;
    left: 0;
    height: auto;
    width: auto;
    /*z-index: 1;*/
    text-align: right;
    padding: 0 0 2px 0px;
}
.apps-ribbon-hide {
    background-color: var(--color-background-primary--dim);
    position: absolute;
    top: -2000px;
    right: 45px;
    height: auto;
    width: auto;
    z-index: 1;
}
.apps-ribbon-arrow {
    width: 0px;
    height: 0px;
    border-left: 12px solid transparent;
    border-right: 12px solid transparent;
    border-bottom: 12px solid var(--color-uniform-border-white);;
    position: absolute;
    right: 59px;
    top: -12px;
}
.notifications-banner {
    z-index: 5900;
    position: absolute;
    top: 50px;
    width: auto;
    right: 0;
    max-height: 100%;
    overflow: hidden;
    padding: 0px 0px 20px 20px;
}
.logo {
    position: relative;
    top: 12px;
    left: 5px;
    cursor: pointer;
    height: 24px;
}
.product {
    display: inline-block;
    position: relative;
    top: 7px;
    font-size: 14px;
    font-family: "Open Sans";
    font-weight: normal;
    text-transform: uppercase;
    left: 20px;
    color: var(--color-text-primary);
}
.icons {
    top: 13px;
    position: absolute;
    display: inline-block;
    right: 12px;
    white-space: nowrap;
}
.header-icon:hover {
    color: var(--color-action-primary) !important;
}
.header-icon {
    background: transparent !important;
    border: none;
    padding: 0!important;
    color: var(--color-active--secondary) !important;
    text-decoration: none;
    cursor: pointer;
    font-size: 14px !important;
    position: relative;
    top: 5px;
    margin-left: 16px;
}
.app-icon {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    background-color: var(--color-background-primary--dim);
    padding: 12px;
    cursor: pointer;
    width: 100px;
    height: 100px;
    text-align: center;
    vertical-align: middle;
    font-size: 10px;
    font-family: "Open Sans";
    color: var(--color-text-primary);
    font-weight: bold;
    border: none !important;
    margin: 0px -2px -2px;
    white-space: nowrap;
}
.app-icon:hover {
    background-color: var(--color-background-interactive--flip) !important;
}
.app-icon:focus {
    background-color: var(--color-background-interactive--flip) !important;
    box-shadow: none !important;
}
.app-icon-selected {
    border-bottom: 2px solid var(--border-color-icon-selected);
}
.app-new {
    position: absolute;
    top: 10px;
    left: 10px;
    right: 10px;
    color: var(--color-uniform-border-white);
    background-color: var(--color-disposition-danger--bright);
    overflow: hidden;
    text-overflow: ellipsis;
}
.app-new-tile {
    position: absolute;
    top: 5px;
    right: -8px;
    padding: 5px 10px 5px 11px;
    color: var(--color-uniform-border-white);
    background-color: var(--color-disposition-danger--bright);
    border-radius: 5px;
    transform: rotate(30deg);
    box-shadow: 0px 0px 20px var(--color-drop-shadow);
    overflow: hidden;
    text-overflow: ellipsis;
}
.app-external {
    position: absolute;
    bottom: 2px;
    left: 10px;
    right: 10px;
    color: var(--color-text-orange);
    overflow: hidden;
    text-overflow: ellipsis;
}
.app-external-tile {
    position: absolute;
    top: 3px;
    right: -10px;
    padding: 5px 10px 5px 11px;
    color: var(--color-uniform-border-white);
    background-color: var(--background-color-tile);
    border-radius: 5px;
    transform: rotate(25deg);
    box-shadow: 0px 3px 20px var(--color-drop-shadow);
    overflow: hidden;
    text-overflow: ellipsis;
}
.app-dev {
    position: absolute;
    bottom: 2px;
    left: 10px;
    right: 10px;
    color: var(--color-text-orange);
    overflow: hidden;
    text-overflow: ellipsis;
}
.app-dev-tile {
    position: absolute;
    top: 5px;
    right: -8px;
    padding: 5px 10px 5px 11px;
    color: var(--color-uniform-border-white);
    background-color: var(--color-text-orange);
    border-radius: 5px;
    transform: rotate(30deg);
    box-shadow: 0px 0px 20px var(--color-drop-shadow);
    overflow: hidden;
    text-overflow: ellipsis;
}
.app-dev-subtitle {
    position: relative;
    top: -5px;
    padding: 4px;
    color: var(--color-uniform-border-white);
    background-color: var(--color-text-orange);
    border-radius: 5px;
    transform: rotate(25deg);
    font-size: 9px;
}
.extenal {
    color: var(--color-text-orange);
    font-size: 10px;
    white-space: nowrap;
}
.navigation {
    display: inline-block;
    position: relative;
    top: 2px;
    right:3px;
}
.navigation-hidden {
    display: none;
}
.link {
    border: none;
    color: var(--color-text-primary);
    text-decoration: none;
    cursor: pointer;
    font-size: 12px;
    background: transparent !important;
    padding: 0px !important;
    font-weight: bold;
}
.navigation-link {
    display: inline-block;
    color: var(--color-active--primary);
    margin-left: 24px;
    cursor: pointer;
    font-size: 12px;
    font-family: Open Sans;
    font-weight: bold;
    height: 33px;
}
.navigation-link .caret-down {
    position: relative;
    top: 4px;
    left: -5px;
    width: 0px;
    display: inline-block;
}
.navigation-link-selected {
    color: var(--color-uniform-border-white);
    border-bottom: 3px solid rgb(0,0,0,.5);
}
.user-menu-navigation {
    box-shadow: 0px 20px 20px var(--color-drop-shadow);
    background-color: var(--background-overlay);
    color: var(--color-text-primary);
    border-top: 3px solid var(--border-color-menu);
    position: absolute;
    top: 33px;
    right: -5px;
    text-align: justify;
    width: auto;
    display: none;
    min-width: 80px;
    padding: 6px;
}
.user-menu-navigation-open {
    display: block;
}
.sub-menu-navigation {
    border-top: 3px solid var(--border-color-menu);
    box-shadow: 0px 20px 20px var(--color-drop-shadow);
    background-color: var(--color-background-secondary--dim);
    color: var(--color-text-menu);
    position: absolute;
    top: 33px;
    width: auto;
    display: none;
}
.sub-menu-navigation-open {
    display: block;
    min-width: 60px;
}
.sub-menu-navigation-selected {
    color: var(--color-uniform-border-white);
    border-bottom: 4px solid 0px 0px 20px var(--color-drop-shadow);
}
.sub-menu-navigation-label {
    padding: 5px;
    color: var(--color-uniform-border-white);
    background-color: var(--background-color-sub-menu);
}
.sub-menu-navigation-item {
    cursor: pointer;
    display: block;
    border: none;
    background-color: var(--background-overlay);
    color: var(--color-text-primary);
    text-decoration: none;
    text-align: left;
    width: 100%;
    font-size: 12px;
    padding: 10px;
    font-weight: bold;
}
.user-menu-navigation-label {
    padding: 5px;
    cursor: pointer;
    display: block;
    text-decoration: none;
    text-align: right;
}
.user-menu-navigation-item-no-hover {
    padding: 0px 3px 0px 5px;
    cursor: pointer;
    display: block;
    background: var(--background-color-menu-item);
    border: none;
    text-decoration: none;
    text-align: right;
    font-size: 12px;
}
.user-menu-navigation-item {
    padding: 5px;
    cursor: pointer;
    display: block;
    color: var(--color-active--primary);
    border: none;
    text-decoration: none;
    text-align: right;
    font-size: 12px;
    font-weight: bold;
}
.user-menu-navigation-link {
    padding: 5px;
    cursor: pointer;
    display: block;
    color: var(--color-active--primary);
    border: none;
    text-decoration: none;
    text-align: right;
    font-size: 12px;
    font-weight: bold;
}
.user-menu-navigation-link:hover {
    color: var(--color-action-primary--bright);
}
.locale-radio-group {
    margin-right:5px; 
    display: block;
}
.sub-menu-navigation-item:hover, .user-menu-navigation-item:hover {
    background-color: var(--color-action-secondary--flip)  !important;
}
.side-menu-navigation-title {
    padding: 5px;
    font-weight: bold;
    text-transform: uppercase;
}
.side-menu-navigation-item {
    padding: 5px 15px 5px 15px;
    cursor: pointer;
    display: block;
    background: var(--background-color-menu-item);
    border: none;
    color: var(--color-text-side-navigation);
    text-decoration: none;
    text-align: left;
    width: 100%;
    font-size: 12px;
    font-weight: normal;
}
.side-sub-menu-navigation-item {
    padding: 5px 5px 5px 15px;
    cursor: pointer;
}
.side-menu-navigation-item:hover {
    background-color: rgba(var(--background-color-side-menu), 0.7);
}
.side-menu-navigation {
    pointer-events: all;
}
.no-events {
    pointer-events: none;
}     
::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}
::-webkit-scrollbar-track {
    background: var(--color-action-secondary--flip);
}
::-webkit-scrollbar-thumb {
    background-color: #aaa;
    border: 1px outset rgb(174 174 174 / 50%);
    border-radius: 0px;
    box-shadow: 0px 0px 5px rgb(7 7 7);
}

::-webkit-scrollbar-corner { 
    background: transparent; 
}

/* Dropdown */

.dropdown-label {
    text-align: left;
    width: calc(100% - 8px);
}

.dropdown-list-icon { 
    right: 0;
    top: 0px !important;
}

.dropdown-list { 
  z-index:1000;
  opacity:0;
  background-color: var(--background-color-sub-menu) !important;
  color: var(--color-text-primary) !important;
  display: none;
  font-size: 12px;
}

.dropdown-list .dropdown-item {
    color: var(--color-text-primary) !important;
}

.dropdown-item:focus {
    outline: 1px solid var(--focus-outline);
    outline-offset: -1px;
    box-shadow: none !important;
    background-color: var(--color-action-secondary--flip) !important;
}

.dropdown-item:hover {
    background-color: var(--color-action-secondary--flip) !important;
}

.list-item {
}
.list-item:hover {
    background-color: var(--color-action-secondary--flip) !important;
}

.dropdown.open > .dropdown-list { 
    opacity: 1;
    display: list-item;
    position: absolute;
    top: 31px;
    right: 0;
    min-width: calc(100% - 2px);
    border: 1px solid var(--border);
    box-shadow: -5px 5px 10px var(--color-drop-shadow);
    overflow: auto;
}

.dropdown-list-open {
    border: 1px solid var(--border);
    background-color: var(--background-overlay) !important;
    white-space: nowrap;
}
.dropdown-item.selected{outline: rgba(var(--color-uniform-background-white), 0.133) solid 1px;
    outline-offset: -1px;
    box-shadow: none !important;
    background-color: var(--color-active--primary) !important;
}

.dropdown-list-scrollable { 
    overflow: auto;
    bottom: 0;
}

.dropdown.open > .dropdown-list-scrollable{ 
    min-height: 120px;
}

.dropdown-list-bordered { 
    border: 1px solid var(--color-border--bright) !important;
}
.dropdown { 
    position:relative; 
    display:inline-flex;
    white-space: nowrap;
    cursor: pointer;  
    user-select: none;
}
.action-link {
     padding: 8px !important;
}

.btn {
    white-space: nowrap;
}

.btn--link {
    padding: 0 0 0 0px !important;
}
.btn--link:hover {
    background: transparent !important;
    color: var(--color-action-secondary--bright) !important;
}
.btn--link:focus, a:focus {
    background: transparent !important;
    color: var(--color-action-secondary--bright) !important;
    box-shadow: none !important;
    outline: none !important;
}
.full-width {
  width: 100%;
}
.full-height {
    height: 100%;
}
.no-scroll {
    overflow: hidden !important;
}
.centered {
    text-align: center !important;
} 
.lefted {
    text-align: left !important;
} 
.righted {
  text-align: right !important;
}   
.nowrap {
    white-space: nowrap;
}   
.pointered {
    cursor: pointer;
}
.truncated {
    text-overflow: ellipsis;
    overflow: hidden;
}
.dropdown-icon {
    position: absolute;
    right: 8px;
}
.dropdown-icon-link {
    margin-left: 8px;
    margin-right: 8px;
}
/* Checkbox overrides for multi-select */

.checkbox-wrapper {
    width: 100%;
    text-align: left;
}

.checkbox-button {
    position: relative;
    top: 5px;
    padding: 0;
    height: 16px;
    margin-right: 0px;
}

.checkbox-button:disabled {
    opacity: .2;
    cursor: not-allowed;
}

.checkbox-button:focus {
    outline: rgba(var(--color-uniform-background-white), 0) solid 1px;
    outline-offset: 0px;
    box-shadow: 0px 0px 6px var(--color-action-primary--bright)  !important;
}

.checkbox-checked {
    color: #eee;
    position: relative;
    top: -1px;
}

.checkbox-unchecked {
    color: var(--color-text-primary);
    position: relative;
    top: -1px;
}

.multi-select-checkbox {
    display:block;
    padding: 2px 6px 6px 6px;
}

.multi-select-checkbox:hover {
    background-color: var(--color-action-secondary--flip) !important
}

.multi-select-checkbox + label {
    color: inherit !important;
}

.view-loading {
    position: fixed;
    top: 0px;
    right: 0px;
    bottom: 0px;
    left: 0px;
    z-index: 2000;
    background-color: var(--background-color-view-loading);
}
.view-loading-spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.view-loading-hidden {
    display: none;
}
.error-message {
    color: var(--color-disposition-warning--dim);
    padding: 20px;
}
.devmode {
    position: fixed;
    bottom: 5px;
    right: 5px;
    color: var(--color-text-orange); 
    position: absolute;
    bottom: 20px;
    right: 20px;
    color: orange;
    font-size: 10px;
    font-weight: bold;
    cursor: pointer;
}
.slider {
    appearance: none;
    border: 1px solid var(--color-border);
    width: 100%;
    height: 4px;
    outline: none;
    opacity: 0.8;
    transition: opacity 0.2s ease 0s;
}

.slider:hover {
    opacity: 1;
}

.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    cursor: pointer;
}

.slider::-moz-range-thumb {
    width: 15px;
    height: 15px;
    border-radius: 50%;
    cursor: pointer;
}

input[type=range][orient="vertical"] {
    writing-mode: bt-lr; /* IE */
}

.slider::-moz-range-thumb {
    width: 6px;
    -webkit-appearance: none;
    height: 12px;
    background: var(--color-background-secondary--bright);
    border-radius: 0px;
    box-shadow: 0px 0px 15px var(--color-box-shadow);
}

input[type='range']::-webkit-slider-thumb {
    width: 6px;
    -webkit-appearance: none;
    height: 12px;
    background: var(--color-background-secondary--bright);
    border-radius: 0px;
    box-shadow: 0px 0px 5px var(--color-box-shadow);
  }

.dr-zp-list-item.active {color: #4191ad;}

.dr-zp-numeric-pagination__page-change .dr-zp-numeric-pagination__page-btn--disabled {background-color: transparent}

.dr-zp-calendar__week__day:disabled, .dr-zp-calendar__week__day.disabled {
    color: var(--color-disabled--primary) !important;
    
}

.dr-zp-radio:focus-within .dr-zp-radio__checkmark {
    border: 1px solid var(--color-text-primary--highlight);
}

.dr-zp-input-wrapper--range .dr-zp-input:focus{
    outline: 1px solid var(--focus-outline);
}

.dr-zp-input-wrapper--range .dr-zp-input {
    padding-left: 0px;
}

.dr-zp-panel__body {
    background: initial;
}

.dr-zp-tabs--column{
    display: flex;
}

.dr-zp-list-item {
    padding: 5px;
}
.dr-zp-btn--link {
    padding: 0px !important;
}
.dr-zp-btn--sm {
    font-size: 1rem !important;
}
.dr-zp-btn.dr-zp-btn--link:focus {
    box-shadow: none !important;
    outline: none;
    color: var(--color-text-primary--highlight) !important;
}

.dr-zp-numeric-pagination__page-btn:focus:not([disabled]):focus, 
.dr-zp-numeric-pagination__per-page-btn:focus:not([disabled]):focus{
    outline: none!important;
    box-shadow: none!important;
    color: var(--color-text-primary--highlight)!important;
}

.trinity-viewer {
    bottom: 0px;
    position: absolute;
    top: 50px;
    right: 0;
    left: 0;
    bottom: 0;
    border: 1px solid var(--border--deemphasis);
    background-color: var(--color-background-interactive);
}

.trinity-api-select {
    position: absolute; 
    top: 0px; 
    right: 0px;
}
